# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [v0.1.0] - 2023-03-24

### Added

Tests and associated fixtures 

Added tests for schema 
- mock schema is valid

Added tests for adapter 
- auth 
- getAuthorizationHeader
- broadcast
- poll
- publish
- tokenValid
- validate (message delegated to protocol)

Added tests for protocol 
- decode 
- encode 
- getType
- validate (message) 

[v0.1.0]: https://git.noc.ac.uk/communications-backbone-system/backbone-adapter-testsuite/compare/72413c71...v0.1.0
[unreleased]: https://git.noc.ac.uk/communications-backbone-system/backbone-adapter-testsuite/compare/v0.1.0...dev